import java.io.PrintWriter;
import java.io.FileNotFoundException;
import java.util.Random;

/**
 * @author Andrew Stankevich
 */
public class doall {
    int testNo;

    void printTest(String p) throws FileNotFoundException {
        testNo++;
        String testName = "" + (testNo / 10) + (testNo % 10);
        PrintWriter out = new PrintWriter(testName);
        System.out.println("Generated " + testName);
        out.println(p);
        out.close();
    }

    Random rnd = new Random(329472047);

    public void genRandom(int l, int p1) throws FileNotFoundException {
        String s = "";
        for (int i = 0; i < l; i++) {
            s += (rnd.nextInt(100) < p1 ? "1" : "0");
        }
        printTest(s);
    }

    public void run() throws FileNotFoundException {
        printTest("010011");
        printTest("0");
        printTest("1");
        printTest("01");
        printTest("001");
        printTest("11");
        printTest("00");
        printTest("01011");
        printTest("0101011");
        printTest("010011000111");
        for (int i = 10; i <= 200; i += 20) {
            for (int j = 0; j <= 100; j += 20) {
                genRandom(i, j);
            }
        }

        String s = "";
        for (int i = 0; i < 99; i++) {
            s += "01";
        }
        s += "1";
        printTest(s);

        int j = 1;
        s = "";
        while (s.length() + 2 * j <= 200) {
            for (int i = 0; i < j; i++) {
                s += "0";
            }
            for (int i = 0; i < j; i++) {
                s += "1";
            }
            j++;
        }
        printTest(s);

        for (int k = 0; k < 10; k++) {
            j = 1;
            s = "";
            while (s.length() + 2 * j <= 200) {
                for (int i = 0; i < j; i++) {
                    s += "0";
                }
                for (int i = 0; i < j; i++) {
                    s += "1";
                }
                j += rnd.nextInt(2);
            }
            printTest(s);
        }
    }

    public static void main(String[] args) throws FileNotFoundException {
        new doall().run();
    }
}
